Package org.gradle.api.file

## Interface ExpandDetails

-     @Incubating
      public interface ExpandDetails

  Additional configuration parameters for `ContentFilterable.expand(Map, Action)` action.
  Since:
    7.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Property<java.lang.Boolean>` | `getEscapeBackslash()` | Controls if the underlying `SimpleTemplateEngine` escapes backslashes in the file before processing.

- - ### Method Detail

    - #### getEscapeBackslash

          Property<java.lang.Boolean> getEscapeBackslash()

      Controls if the underlying `SimpleTemplateEngine` escapes backslashes in the file before processing. If this is set to `false` then escape sequences in the processed files (`\n`, `\t`, `\\`, etc) are converted to the symbols that they represent, so, for example `\n` becomes newline. If set to `true` then escape sequences are left as is.

      Default value is `false`.

      See Also:
        `SimpleTemplateEngine.setEscapeBackslash(boolean)`